Folliow Un projet de site web réaliser en PHP

Loading...
Searching...
No Matches
UserCtrl Class Reference
Inheritance diagram for UserCtrl:

## Public Member Functions
| login ()
| logout ()
| signup ()
| user ()
| edit ()

## Additional Inherited Members
Protected Member Functions inherited from MotherCtrl
| _display ($strView, bool $boolDisplay=true)
Protected Attributes inherited from MotherCtrl
array | $_arrData = array()

## Detailed Description

Le controller de la page d'aide utilisateur

Author
  Guillaume & Besnik & Yasser

## Member Function Documentation

## ◆ edit()

edit | ( |  | ) |

le controlleur de la modification d'un user

## ◆ login()

login | ( |  | ) |

Page Login

## ◆ logout()

logout | ( |  | ) |

Fonction pour ce déconnecter

## ◆ signup()

signup | ( |  | ) |

Fonction d'inscription d'un utilisateur Effectue les validations du formulaire, vérifie l'unicité du mail et du pseudo, puis insère l'utilisateur en base de données

Returns
  void

## ◆ user()

user | ( |  | ) |

le controlleur affichage de la page user

The documentation for this class was generated from the following file:

- C:/Users/Guill/projet_php/controllers/UserCtrl.php